// Copyright 2024 The Pigweed Authors
//
// Licensed under the Apache License, Version 2.0 (the "License"); you may not
// use this file except in compliance with the License. You may obtain a copy of
// the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
// WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
// License for the specific language governing permissions and limitations under
// the License.
#pragma once

/// @defgroup pw_geometry

namespace pw::geometry {

/// @ingroup pw_geometry
///
/// Container class for width and height. Commonly used within pw::framebuffer.
template <typename T>
struct Size {
  T width;
  T height;

  bool operator!=(const Size<T>& rhs) const {
    return width != rhs.width || height != rhs.height;
  }
  bool operator==(const Size<T>& rhs) const {
    return width == rhs.width && height == rhs.height;
  }
};

}  // namespace pw::geometry
